import request from '@/utils/request'

// 查询医生提现管理列表
export function listDoctorextract(query) {
  return request({
    url: '/his/doctorExtract/list',
    method: 'get',
    params: query
  })
}

// 查询医生提现管理详细
export function getDoctorextract(extractId) {
  return request({
    url: '/his/doctorExtract/' + extractId,
    method: 'get'
  })
}

// 新增医生提现管理
export function addDoctorextract(data) {
  return request({
    url: '/his/doctorExtract',
    method: 'post',
    data: data
  })
}

// 修改医生提现管理
export function updateDoctorextract(data) {
  return request({
    url: '/his/doctorExtract',
    method: 'put',
    data: data
  })
}

// 删除医生提现管理
export function delDoctorextract(extractId) {
  return request({
    url: '/his/doctorExtract/' + extractId,
    method: 'delete'
  })
}

// 导出医生提现管理
export function exportDoctorextract(query) {
  return request({
    url: '/his/doctorExtract/export',
    method: 'get',
    params: query
  })
}